# Interface WrapperError

#### Hierarchy

- Error
  - WrapperError

- Defined in modules/packages/module/packages/wrapper/dist/types/Wrapper.d.ts:11

#####
Index

### Properties

errors
query
result

## Properties

### errors

errors: (null | SchemaFields & PayloadFields & {
message?: string;
schema: "network.xyo.error.module";
sources?: string[];
})[]

- Defined in modules/packages/module/packages/wrapper/dist/types/Wrapper.d.ts:12

### query

query: [SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
}, (SchemaFields & PayloadFields & {
schema: string;
})[]]

- Defined in modules/packages/module/packages/wrapper/dist/types/Wrapper.d.ts:13

### result

result: undefined | ModuleQueryResult<SchemaFields & PayloadFields & {
schema: string;
}>

- Defined in modules/packages/module/packages/wrapper/dist/types/Wrapper.d.ts:14

Generated using TypeDoc